## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.columns
Class ASATableEditorColumnsLabelProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.tableviewer.TableDataLabelProvider
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.columns.ASATableEditorColumnsLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class ASATableEditorColumnsLabelProvider

extends TableDataLabelProvider

Columns viewer label provider

Author:
  Idull

Constructor Summary
`ASATableEditorColumnsLabelProvider()`

Method Summary
`java.lang.String` `getColumnText(java.lang.Object element, int columnIndex)`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.tableviewer.TableDataLabelProvider
`addListener, dispose, getColumnImage, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASATableEditorColumnsLabelProvider

    public ASATableEditorColumnsLabelProvider()

Method Detail

### getColumnText

    public java.lang.String getColumnText(java.lang.Object element,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  Overrides:
    `getColumnText` in class `TableDataLabelProvider`